For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

Add Existing Run

POST
https://api.humanloop.com/v5/evaluations/:id/runs/:run_id
POST
/v5/evaluations/:id/runs/:run_id
$curl -X POST https://api.humanloop.com/v5/evaluations/id/runs/run_id \
> -H "X-API-KEY: <apiKey>"
1{
2 "key": "value"
3}
Add an existing Run to the specified Evaluation. This is useful if you want to compare the Runs in this Evaluation with an existing Run that exists within another Evaluation.
Was this page helpful?
Previous

Remove Run

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluation.
run_idstringRequired
Unique identifier for Run.

Response

Successful Response

Errors

422
Add Existing Run Evaluations ID Runs Run ID Post Request Unprocessable Entity Error